---
layout: layouts/exercise_base.njk
exercise: SQL Subquery Exercises
---

<p>Answer these questions using the small Northwind database provided on your
  course homepage.
</p>

<ol>
  <li><strong>Simple Nested Queries</strong><br />
    <ol>
      <li>Get all products cheaper than the average unit price.</li>
    </ol>
  </li>
  <li><strong>Nested Queries Requiring Joins</strong>
    <ol>
      <li>List all customers that have posted orders for more than
        Eur 2000.
      </li>
      <li>List all categories that have generated a revenue that is above
        average.
      </li>
    </ol>
  </li>
</ol>
